| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUIFileOpenDialog Class Reference

Standard file chooser dialog. More...

`#include <IGUIFileOpenDialog.h>`

Inheritance diagram for irr::gui::IGUIFileOpenDialog:

List of all members.

## Public Member Functions

- IGUIFileOpenDialog (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
    constructor
- virtual const io::path & getDirectoryName ()=0
    Returns the directory of the selected file. Returns NULL, if no directory was selected.
- virtual const wchar_t * getFileName () const =0
    Returns the filename of the selected file. Returns NULL, if no file was selected.

## Detailed Description

Standard file chooser dialog.

Warning:
  When the user selects a folder this does change the current working directory

This element can create the following events of type EGUI_EVENT_TYPE:
  - EGET_DIRECTORY_SELECTED
  - EGET_FILE_SELECTED
  - EGET_FILE_CHOOSE_DIALOG_CANCELLED

Definition at line 24 of file IGUIFileOpenDialog.h.

## Constructor & Destructor Documentation

irr::gui::IGUIFileOpenDialog::IGUIFileOpenDialog | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle
| ) |  | `[inline]`

constructor

Definition at line 29 of file IGUIFileOpenDialog.h.

## Member Function Documentation

virtual const io::path& irr::gui::IGUIFileOpenDialog::getDirectoryName | ( |  | ) | `[pure virtual]`

Returns the directory of the selected file. Returns NULL, if no directory was selected.

virtual const wchar_t* irr::gui::IGUIFileOpenDialog::getFileName | ( |  | ) | const`[pure virtual]`

Returns the filename of the selected file. Returns NULL, if no file was selected.

The documentation for this class was generated from the following file:

- IGUIFileOpenDialog.h